Index: www/macros/macro_toprated.php
===================================================================
--- www/macros/macro_toprated.php	(revision 1164)
+++ www/macros/macro_toprated.php	(working copy)
@@ -2,10 +2,12 @@
 
 // FIXME: This should be marged with macro_rankings.php
 
-require_once(IA_ROOT_DIR . "www/format/table.php");
-require_once(IA_ROOT_DIR . "www/format/pager.php");
-require_once(IA_ROOT_DIR . "www/format/format.php");
-require_once(IA_ROOT_DIR . "common/db/score.php");
+require_once(IA_ROOT_DIR . 'www/format/table.php');
+require_once(IA_ROOT_DIR . 'www/format/pager.php');
+require_once(IA_ROOT_DIR . 'www/format/format.php');
+require_once(IA_ROOT_DIR . 'common/db/score.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ui/pager.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ui/table.php');
 
 // Displays *interactive* rankings table displaying user *ratings*.
 //
@@ -22,36 +24,48 @@ function macro_toprated($args) {
 
     $rankings = get_users_by_rating_range($options['first_entry'], $options['display_entries'], true);
 
-    $column_infos = array(
-        array(
-            'title' => 'Loc',
-            'key' => 'position',
-            'css_class' => 'number rank',
-        ),
-        array(
-            'title' => 'Nume',
-            'key' => 'full_name',
-            'rowform' => function($row) {
-                return format_user_normal($row['username'], $row['full_name'], $row['rating_cache']);
-            },
-        ),
-        array(
-            'title' => 'Rating',
-            'key' => 'rating_cache',
-            'rowform' => function($row) {
-                return rating_scale($row['rating_cache']);
-            },
-            'css_class' => 'number rating',
-        ),
-    );
-    if (pager_needs_total_entries($options)) {
-        $options['total_entries'] = get_users_by_rating_count();
+    $header =
+      <x:frag>
+        <th class="number rank">
+          Loc
+        </th>
+        Nume
+        <th class="number rating">
+          Rating
+        </th>
+      </x:frag>;
+
+    $content = <x:frag />;
+    foreach ($rankings as $user) {
+        $content -> appendChild(<x:frag>
+                                  <td class="number rank">
+                                    {(int)$user['position']}
+                                  </td>
+                                  <ui:user:normal user={$user} />
+                                  <td class="number rating">
+                                    {(int)rating_scale($user['rating_cache']) }
+                                  </td>
+                                </x:frag>);
     }
+    $options['total_entries'] = get_users_by_rating_count();
 
     if (0 >= count($rankings)) {
         return macro_message('Nici un utilizator cu rating.');
     } else {
-        return format_table($rankings, $column_infos, $options);
+        $pager =
+          <ui:pager:page-number first_entry={$options['first_entry']} display_entries={$options['display_entries']}
+              total_entries={$options['total_entries']} show_count={true} show_display_entries={true}
+              prefix="toprated_" />;
+
+        return
+          <x:frag>
+            {$pager}
+            <ui:table sortable={true} cols={3}>
+              {$header}
+              {$content}
+            </ui:table>
+            {$pager}
+          </x:frag>;
     }
 }
 
Index: www/macros/macro_user.php
===================================================================
--- www/macros/macro_user.php	(revision 1164)
+++ www/macros/macro_user.php	(working copy)
@@ -2,6 +2,7 @@
 
 require_once(IA_ROOT_DIR . 'www/format/format.php');
 require_once(IA_ROOT_DIR . 'common/db/user.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ui/user.php');
 
 // Display a link to an user.
 // Includes avatar, etc.
@@ -22,14 +23,11 @@ function macro_user($args) {
 
     $type = getattr($args, 'type', 'link');
     if ($type == 'link') {
-        return format_user_link($dbuser['username'], $dbuser['full_name'],
-                                $dbuser['rating_cache']);
+        return <ui:user:link user={$dbuser} />;
     } else if ($type == 'tiny') {
-        return format_user_tiny($dbuser['username'], $dbuser['full_name'],
-                                $dbuser['rating_cache']);
+        return <ui:user:tiny user={$dbuser} />;
     } else if ($type == 'normal') {
-        return format_user_normal($dbuser['username'], $dbuser['full_name'],
-                                  $dbuser['rating_cache']);
+        return <ui:user:normal user={$dbuser} />;
     } else {
         return macro_error("Unknown userlink type \"$type\"");
     }
Index: www/macros/macro_userimage.php
===================================================================
--- www/macros/macro_userimage.php	(revision 1164)
+++ www/macros/macro_userimage.php	(working copy)
@@ -1,18 +1,20 @@
 <?php
 
-require_once(IA_ROOT_DIR.'www/format/format.php');
-require_once(IA_ROOT_DIR.'common/common.php');
-
+require_once(IA_ROOT_DIR . 'www/format/format.php');
+require_once(IA_ROOT_DIR . 'common/common.php');
+require_once(IA_ROOT_DIR . 'common/db/user.php');
+require_once(IA_ROOT_DIR . 'www/url.php');
 /**
  * Returns a an image which links to it's location of a giver username
  * and size
  *
  * @param  array $args      An array containing the user for whom to get the
  *                          avatar as well as the size
- * @return string
+ *
+ * @return :ui:link
  */
 function macro_userimage($args) {
-    $user = $args['user'];
+    $username = $args['user'];
 
     $size_type = $args['size'];
 
@@ -20,6 +22,9 @@ function macro_userimage($args) {
         return macro_error("Unkown size type \"".$size_type."\".");
     }
 
-    return format_link(url_complex("avatar/full/".$user),
-        format_user_avatar($user, $size_type, false), false);
+    $user = user_get_by_username($username);
+    return
+      <ui:link href={url_user_avatar($user)}>
+        <ui:user:avatar user={$user} size={$size_type} />
+      </ui:link>;
 }
Index: www/macros/macros.php
===================================================================
--- www/macros/macros.php	(revision 1164)
+++ www/macros/macros.php	(working copy)
@@ -10,7 +10,13 @@ function get_macro_include_file($macro_name)
 // Format an error message as a html div.
 // Can be returned from macros.
 function macro_error($text, $raw_html = false) {
-    return '<div class="macroError">' . ($raw_html ? $text : html_escape($text)) . '</div>';
+    $error = <div class="macroError" />;
+    if ($raw_html) {
+        $error -> appendChild(<x:frag>HTML($text)</x:frag>);
+    } else {
+        $error -> appendChild(<x:frag> {$text} </x:frag>);
+    }
+    return $error;
 }
 
 // Format message as a html div.
Index: www/static/js/default.js
===================================================================
--- www/static/js/default.js	(revision 1164)
+++ www/static/js/default.js	(working copy)
@@ -5,10 +5,10 @@
 
 function Page_Init() {
     // fade away flash message
-    var flash = $('flash');
-    if (flash && !hasElementClass(flash, 'flashError')) {
+    var flash = $$('.flash');
+    if (flash[0] && !hasElementClass(flash[0], 'flashError')) {
         var callback = function() {
-            hideElement(flash);
+            hideElement(flash[0]);
         }
         setTimeout(callback, 13000);
     }
Index: www/url.php
===================================================================
--- www/url.php	(revision 1164)
+++ www/url.php	(working copy)
@@ -70,7 +70,25 @@ function url_from_args($args)
 // Here are the specific url functions you should use.
 // Names should should be more or less obvious.
 
-// First: textblocks(wiki pages).
+/**
+ * If we want to get the current page with no options
+ * @return string
+ */
+function url_no_options() {
+    return $_GET['page'];
+}
+
+/**
+ * In case we just want to add options to our current page(or modify them)
+ *
+ * @param  $options  array
+ * @return string
+ */
+function url_options_add($options = array()) {
+    return url_from_args(array_merge($_GET, $options));
+}
+
+// textblocks(wiki pages).
 
 function url_textblock($page_name) {
     return url_complex($page_name, array());
@@ -241,12 +259,13 @@ function url_user_stats($username) {
 /**
  * Returns an url to an user's avatar with a given size
  *
- * @param  string  $username
+ * @param  array   $user
  * @param  string  $size_type
  * @return string
  */
-function url_user_avatar($username, $size_type = "full") {
-    return url_complex("avatar/".$size_type."/".$username);
+function url_user_avatar($user, $size_type = "full") {
+    return url_complex("avatar/" . $size_type . "/" . $user['username'],
+            array('timestamp' => $user['avatar_timestamp']));
 }
 
 function url_unsubscribe($username, $key) {
Index: www/utilities.php
===================================================================
--- www/utilities.php	(revision 1164)
+++ www/utilities.php	(working copy)
@@ -1,6 +1,18 @@
 <?php
 
-require_once(IA_ROOT_DIR."www/url.php");
+require_once(IA_ROOT_DIR . 'www/url.php');
+
+require_once(IA_ROOT_DIR . 'www/xhp/base/init.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/base.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/sitewide.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/sidebar.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/calendar.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/google_search.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/user_count.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/server_time.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ui/breadcrumbs.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ui/flash_message.php');
+require_once(IA_ROOT_DIR . 'www/xhp/ia/log.php');
 
 // Wrapper around htmlentities which defaults charset to UTF-8
 function html_escape($string, $quote_style = ENT_COMPAT, $charset = "UTF-8")
@@ -22,7 +34,7 @@ function xml_escape($string, $quote_style = ENT_COMPAT, $charset = "UTF-8")
         '&#226;','&#227;','&#228;','&#229;','&#230;','&#231;','&#232;','&#233;',
         '&#234;','&#235;','&#236;','&#237;','&#238;','&#239;','&#240;','&#241;',
         '&#242;','&#243;','&#244;','&#245;','&#246;','&#247;','&#248;','&#249;',
-        '&#250;','&#251;','&#252;','&#253;','&#254;','&#255;', '&#8221;', 
+        '&#250;','&#251;','&#252;','&#253;','&#254;','&#255;', '&#8221;',
         '&#8222;',
     );
     $html = array('&quot;','&amp;','&amp;','&lt;','&gt;','&nbsp;','&iexcl;',
@@ -152,7 +164,7 @@ function http_serve($disk_file_name, $http_file_name, $mime_type = null, $cache_
         }
     }
 
-    // HTTP headers.  
+    // HTTP headers.
     header("Content-Type: {$mime_type}");
     header("Content-Disposition: {$disposition}; filename="
            .urlencode($http_file_name).";");
@@ -193,62 +205,188 @@ function flash_error($message) {
     flash($message, 'flashError');
 }
 
-// Execute a view. Variables in $view are placed in the
-// local namespace as variables. This is the preffered
-// way of calling a template, because globals are not
-// easily accessible.
-function execute_view($view_file_name, $view) {
-    global $identity_user;
-
-    // retrieve recent page history
-    // some pages display it as navigation breadcrumbs
+/**
+ * Composes a XHP object that provides the page frame, containing the default
+ * header, footer, navigation bars, breadcrumbs and flash messages. The object
+ * expects a <ia:content> child containg the main page content to be appended
+ * before rendering.
+ *
+ * @param   string  $title
+ * @param   string  $top_navbar_selected
+ * @param   bool    $hide_sidebar_login_form
+ * @param   string  $charset
+ * @return  :ia:page
+ */
+function default_view_compose($title = null,
+                              $top_navbar_selected = "infoarena",
+                              $hide_sidebar_login_form = false,
+                              $charset = "UTF-8") {
+    // Retrieve recent page history to display as navigation breadcrumbs
     $recent_pages = getattr($_SESSION, '_ia_recent_pages', array());
 
-    // update recent page history
-    $query = url_from_args($_GET);
-    if (!preg_match('/\/(json|plot|changes)\//', $query) && !request_is_post()) {
-        $hashkey = strtolower($query);
-        $recent_pages[$hashkey] = array($query, getattr($view, 'title', $query)); 
+    // Update recent page history
+    $current_page = url_from_args($_GET);
+    if (!request_is_post() &&
+        !preg_match('/\/(json|plot|changes)\//', $current_page)) {
+        $current_page_key = strtolower($current_page);
+        $recent_pages[$current_page_key] =
+            array($current_page, is_null($title) ? $current_page : $title);
         if (5 < count($recent_pages)) {
             array_shift($recent_pages);
         }
         $_SESSION['_ia_recent_pages'] = $recent_pages;
+    } else {
+        $current_page_key = null;
+    }
+
+    // Display flash message if it exists.
+    if (isset($_SESSION['_ia_flash'])) {
+        $flash_message =
+          <ui:flash-message class={getattr($_SESSION, '_ia_flash_class')}>
+            {$_SESSION['_ia_flash']}
+          </ui:flash-message>;
+
+        // Clear flash message.
+        unset($_SESSION['_ia_flash']);
+        if (isset($_SESSION['_ia_flash_class'])) {
+            unset($_SESSION['_ia_flash_class']);
+        }
+    } else {
+        $flash_message = <x:frag />;
     }
 
-    // let view access recent_pages
-    $view['current_url_key'] = strtolower($query);
-    $view['recent_pages'] = $recent_pages;
+    // Add google custom search bar only if not in development mode
+    if (!IA_DEVELOPMENT_MODE) {
+        $google_search = <ia:google-search />;
+    } else {
+        $google_search = <x:frag />;
+    }
+    // Show the login form in the sidebar only if user is not authenticated.
+    // Get the user's unread personal message count if he is.
+    if (identity_is_anonymous()) {
+        $sidebar_login =
+          <ia:sidebar-login
+            show_login_form={!$hide_sidebar_login_form}/>;
+        $user = null;
+        $user_pm_count = null;
+    } else {
+        $sidebar_login = <x:frag />;
+        $user = identity_get_user();
+        $user_pm_count = smf_get_pm_count(identity_get_username());
+    }
+
+    // Compose and return the page.
+    return
+      <ia:page title={$title} user={$user} charset={$charset}>
+        <ia:header />
+        <ia:top-navbar selected={$top_navbar_selected}
+          user_pm_count={$user_pm_count} />
+
+        <ia:left-col>
+          <ia:left-navbar />
+          {$google_search}
+          <ia:calendar />
+          {$sidebar_login}
+          <ia:user-count />
+          <ia:server-time />
+          <ia:sidebar-ad />
+        </ia:left-col>
+
+        <ui:breadcrumbs entries={$recent_pages} current={$current_page_key} />
+        {$flash_message}
+
+        <ia:footer />
+      </ia:page>;
+}
+
+/*
+ * Renders the main page and then dies.
+ */
+
+function execute_render_die($content, $title = null,
+                            $top_navbar_selected = "infoarena",
+                            $hide_sidebar_login_form = false,
+                            $charset = "UTF-8") {
+    $ia_page = default_view_compose($title, $top_navbar_selected,
+                                    $hide_sidebar_login_form, $charset);
+
+    $ia_page -> appendChild(
+      <ia:content>
+        {$content}
+      </ia:content>);
 
-    // give access to request statistics
     if (IA_DEVELOPMENT_MODE) {
+        // Development mode: display current page's log in site footer
         global $execution_stats;
-        $view['execution_stats'] = $execution_stats;
+        log_execution_stats();
+        $buffer = $execution_stats['log_copy'];
+        $ia_page -> appendChild(
+          <ia:log>
+            {$buffer}
+          </ia:log>);
     }
 
-    // expand $view members into global scope
+    echo $ia_page;
+    session_write_close();
+    die();
+}
+/*
+ * DEPRECATED: Please use XHP based views.
+ *
+ * Execute as view and dies. Variables in $view are placed in the local
+ * namespace as variables. This is the preffered way of calling a template,
+ * because globals are not easily accessible.
+ *
+ * @param   string  $view_file_name
+ * @param   array   $view
+ */
+function execute_view_die($view_file_name, $view, $simple = false) {
+    require_once(IA_ROOT_DIR . 'www/views/utilities.php');
+    // Expand $view members into global scope
     $GLOBALS['view'] = $view;
-
     foreach ($view as $view_hash_key => $view_hash_value) {
         if ($view_hash_key == 'view_hash_key') continue;
         if ($view_hash_key == 'view_hash_value') continue;
         if ($view_hash_key == 'view_file_name') continue;
         if ($view_hash_key == 'view') continue;
-        //echo "added $view_hash_key = $view_hash_value into globals";
         $GLOBALS[$view_hash_key] = $view_hash_value;
         $$view_hash_key = $view_hash_value;
     }
 
-    // NOTE: no includes here, unless you want to get
-    // warnings about function redeclaration.
+    if ($simple == true) {
+        include($view_file_name);
+        session_write_close();
+        die();
+        return;
+    }
+
+    $_xhp_page = default_view_compose(
+        getattr($view, 'title'),
+        getattr($view, 'topnav_select', 'infoarena'),
+        getattr($view, 'no_sidebar_login', false),
+        getattr($view, 'charset', 'UTF-8'));
+
+    ob_start();
     include($view_file_name);
-}
+    $rendered = ob_get_clean();
+
+    $_xhp_page->appendChild(
+      <ia:content>
+        {HTML($rendered)}
+      </ia:content>);
 
-// Execute view and then die.
-function execute_view_die($view_file_name, $view) {
-    execute_view($view_file_name, $view);
     if (IA_DEVELOPMENT_MODE) {
+        // Development mode: display current page's log in site footer
+        global $execution_stats;
         log_execution_stats();
+        $buffer = $execution_stats['log_copy'];
+        $_xhp_page -> appendChild(
+          <ia:log>
+            {$buffer}
+          </ia:log>);
     }
+
+    echo $_xhp_page;
     session_write_close();
     die();
 }
Index: www/views/account.php
===================================================================
--- www/views/account.php	(revision 1164)
+++ www/views/account.php	(working copy)
@@ -91,7 +91,7 @@ if (array_key_exists('security_level', $form_values)) {
         <li>
             <?php
                 // display avatar
-                $avatar_url = url_user_avatar($user['username'], "big");
+                $avatar_url = url_user_avatar($user, "big");
                 echo '<img class="avatar" src="'.html_escape($avatar_url).'" alt="avatar"/>';
             ?>
         </li>
Index: www/views/blog_index.php
===================================================================
--- www/views/blog_index.php	(revision 1164)
+++ www/views/blog_index.php	(working copy)
@@ -40,6 +40,7 @@ foreach ($subpages as $subpage) {
     echo '&nbsp;<a href="'.url_textblock($subpage['name']).'#comentarii">Comentarii ('.$subpage['comment_count'].')</a>';
     echo '</p>';
 
+    // FIXME: Use better words for classes maybe?
     // Also display tags
     echo '<div class="strap">';
     echo '<strong>Categorii: </strong>';
Index: www/views/blog_view.php
===================================================================
--- www/views/blog_view.php	(revision 1164)
+++ www/views/blog_view.php	(working copy)
@@ -2,6 +2,7 @@
 
 require_once(IA_ROOT_DIR.'www/wiki/wiki.php');
 require_once(IA_ROOT_DIR.'www/macros/macro_smfcomments.php');
+require_once(IA_ROOT_DIR.'www/xhp/ia/blog.php');
 
 // site header
 include('header.php');
@@ -9,6 +10,7 @@ include('header.php');
 // wiki page header (actions)
 include('textblock_header.php');
 
+echo <ia:blog:post textblock={$textblock}/>;
 // blog sidebar
 echo '<div class="blog-sidebar">';
 wiki_include(IA_BLOG_SIDEBAR);
@@ -20,10 +22,15 @@ if (getattr($view, 'revision')) {
 }
 
 // blog content
-echo '<div class="wiki_text_block">';
 echo '<div class="blog">';
+echo '<div class="wiki_text_block">';
 $text = wiki_process_textblock($textblock);
-echo hijack_title($text, null, $textblock['title']);
+// FIXME:
+// Why do we need to hijack title to remove links? It's obvious the ones writing blog
+// posts won't put links there and even if that would happen this hijack would render
+// something like <h1> &lt;a href=.....
+
+//echo hijack_title($text, null, $textblock['title']);
 echo $text;
 echo '<div class="strap">';
 echo '<strong>Categorii: </strong>';
Index: www/views/footer.php
===================================================================
--- www/views/footer.php	(revision 1164)
+++ www/views/footer.php	(working copy)
@@ -1,12 +1 @@
 <?php
-require_once(IA_ROOT_DIR.'www/views/sitewide.php');
-?>
-</div>
-</div>
-</div>
-
-<?php ia_template_footer(); ?>
-
-</body>
-</html>
-
Index: www/views/header.php
===================================================================
--- www/views/header.php	(revision 1164)
+++ www/views/header.php	(working copy)
@@ -1,188 +1 @@
 <?php
-
-require_once(IA_ROOT_DIR.'www/views/sitewide.php');
-require_once(IA_ROOT_DIR.'www/views/utilities.php');
-require_once(IA_ROOT_DIR.'www/macros/macro_calendar.php');
-
-// Basic view checks.
-log_assert(is_array($view));
-log_assert(is_string($view['title']));
-
-// Check forms.
-if (isset($form_errors) || isset($form_values)) {
-    log_assert(is_array($view['form_errors']));
-    log_assert(is_array($view['form_values']));
-    foreach ($form_values as $k => $v) {
-        if (html_escape($k) != $k) {
-            log_error("Form field $k contains special html chars.");
-        }
-    }
-}
-
-header("Content-type: text/html; charset=utf-8");
-?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml">
-<head>
-    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<?php
-    // Hack to insert meta description and keywords for home page.
-    // Description should get us a better snippet for keywords that hit our
-    // home page. If this proves to be effective we should find a way to
-    // include meta descriptions for the most visited pages (can we do it with
-    // a macro?).
-    if (getattr($view, 'page_name') == "home") {
-?>
-    <meta name="Description" content="Concursuri de programare, Stiri si articole de informatica, Comunitate online. Arhiva de probleme, Evaluare 24/24, Forum, Resurse educationale, Pregatire pentru olimpiada." />
-    <meta name="keywords" content="Cocursuri, Informatica, Programare, Comunitate, Algoritmi, Articole, Evaluare, Pregatire" />
-    <meta name="verify-v1" content="j9UCDYvsDL2pLtkJDDkE4HnHVmXakgvz30vOyIJ+6cI=" />
-    <meta name="verify-v1" content="ac36ilLp6y4xp71sJgZEjFMgow6YCLkyQLrG/b2iT/Q=" />
-    <meta name="verify-v1" content="PQDTb5Advw297iADXVUYuxh0z+iQKfq1wtYWnfHCb1Y=" />
-    <meta name="verify-v1" content="GUKPcDm0TzwAR7r5xbagq576p/YWH9su/Ca4o8YlYBg=" /> <!--bogdan2412-->
-    <meta name="google-site-verification" content="T_HFYNIO3S70696yFC5rkbPn339gjnfVwMqYPmU866I" /> <!--devilkind-->
-<?php
-    }
-?>
-    <title><?= html_escape(getattr($view, 'title')) ?></title>
-
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/sitewide.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/iconize.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/screen.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/tabber.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/sh/shCore.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/sh/shThemeDefault.css')) ?>"/>
-    <link type="text/css" rel="stylesheet" href="<?= html_escape(url_static('css/print.css')) ?>" media="print" />
-    <link rel="icon" href="<?= IA_URL."favicon.ico" ?>" type="image/vnd.microsoft.icon" />
-    <script type="text/javascript" src="<?= html_escape(url_static('js/config.js.php')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/MochiKit.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/default.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/tabber-minimized.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/submit.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/remotebox.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/postdata.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shCore.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shBrushCpp.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shBrushDelphi.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shBrushJava.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shBrushPython.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sh/shInit.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/tags.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/roundtimer.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/restoreparity.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/foreach.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/sorttable.js')) ?>"></script>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/tablednd.js')) ?>"></script>
-
-    <script type="text/javascript">Sh_Init("<?= html_escape(url_static('swf/clipboard.swf')) ?>")</script>
-
-<?php
-    if (request("action") == 'rating') {
-?>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/swfobject.js')) ?>"></script>
-<?php
-    }
-?>
-
-    <?= getattr($view, 'head') ?>
-</head>
-<body id="infoarena" <?= getattr($view, 'body_onload') ? ' onload="' . html_escape(getattr($view, 'body_onload')) . '"' : '' ?>>
-<div id="page">
-
-<?php
-if (!isset($topnav_select)) {
-    $topnav_select = 'infoarena';
-}
-ia_template_header();
-$smf_admin = ('admin' == getattr($identity_user, 'security_level'));
-ia_template_topnav($topnav_select, $smf_admin);
-?>
-
-<div id="content_small" class="clear">
-<div id="sidebar">
-    <ul id="nav" class="clear">
-        <li><a href="<?= html_escape(url_home()) ?>">Home</a></li>
-        <li><?= format_link_access(url_textblock('arhiva'), "Arhiva de probleme", 'a') ?></li>
-        <li><a href="<?= html_escape(url_textblock('arhiva-educationala')) ?>">Arhiva educatională</a></li>
-        <li><a href="<?= html_escape(url_textblock('concursuri')) ?>">Concursuri</a></li>
-        <li><a href="<?= html_escape(url_textblock('concursuri-virtuale')) ?>">Concursuri virtuale</a></li> 
-        <li><a href="<?= html_escape(url_textblock('clasament-rating')) ?>">Clasament</a></li>
-        <li><a href="<?= html_escape(url_textblock('articole')) ?>">Articole</a></li>
-        <li><a href="<?= html_escape(url_textblock('downloads')) ?>">Downloads</a></li>
-        <li><a href="<?= html_escape(url_textblock('links')) ?>">Links</a></li>
-        <li><a href="<?= html_escape(url_textblock('documentatie')) ?>">Documentaţie</a></li>
-        <li><a href="<?= html_escape(url_textblock('despre-infoarena')) ?>">Despre infoarena</a></li>
-        <li class="separator"><hr/></li>
-        <li><?= format_link_access(url_monitor(array('user' => identity_get_username())), "Monitorul de evaluare", 'm') ?></li>
-        <?php if (!identity_is_anonymous()) { ?>
-        <li><a href="<?= html_escape(url_submit()) ?>"><strong>Trimite soluţii</strong></a></li>
-        <li><?= format_link_access(url_account(), "Contul meu", 'c') ?></li>
-        <?php } ?>
-        </ul>
-
-    <?php if (!IA_DEVELOPMENT_MODE) { ?>
-    <div id="google-search">
-        <?php include(IA_ROOT_DIR.'www/views/google_search.php'); ?>
-    </div>
-    <?php } ?>
-
-    <div id="calendar">
-        <?= macro_calendar(array()) ?>
-    </div>
-
-    <?php if (identity_is_anonymous()) { ?>
-    <div id="login">
-        <?php if (!isset($no_sidebar_login)) include(IA_ROOT_DIR.'www/views/form_login.php') ?>
-        <p>
-        <?= format_link(url_register(), "Ma inregistrez!" ) ?><br/>
-        <?= format_link(url_resetpass(), "Mi-am uitat parola..." ) ?>
-        </p>
-    </div>
-    <?php } ?>
-    <p class="user-count"><?php echo user_count(); ?> membri inregistrati</p>
-    <div id="srv_time" class="user-count" align="center"></div>
-    <script type="text/javascript" src="<?= html_escape(url_static('js/time.js')) ?>"></script>
-    <script type="text/javascript">loadTime(<?= format_date(null, "%H, %M, %S");?>);</script>
-
-    <?php include(IA_ROOT_DIR.'www/views/sidebar_ad.php'); ?>
-</div>
-
-<div id="main">
-<?php
-
-// breadcrumbs with recent pages
-if (isset($recent_pages) && (1 < count($recent_pages))) {
-    $bstring = '';
-    foreach ($recent_pages as $rec_key => $rec_entry) {
-        list($rec_url, $rec_title) = $rec_entry;
-
-        $rec_title = html_escape($rec_title);
-
-        if ($bstring) {
-            $bstring .= ' <span class="separator">|</span> ';
-        }
-        if ($current_url_key == $rec_key) {
-            $bstring .= "<strong>{$rec_title}</strong>";
-        }
-        else {
-            $bstring .= "<a href=\"" . html_escape($rec_url) . "\">{$rec_title}</a>";
-        }
-    }
-    echo '<p id="breadcrumbs">Pagini recente &raquo; ' . $bstring . '</p>';
-}
-
-?>
-
-<?php
-    // display flash message
-    if (isset($_SESSION['_ia_flash'])) { ?>
-
-<div id="flash" class="flash <?= html_escape(getattr($_SESSION, '_ia_flash_class')) ?>"><?= html_escape($_SESSION['_ia_flash']) ?></div>
-
-<?php
-        // clear flash message
-        unset($_SESSION['_ia_flash']);
-        if (isset($_SESSION['_ia_flash_class'])) {
-            unset($_SESSION['_ia_flash_class']);
-        }
-    }
-?>
Index: www/views/login.php
===================================================================
--- www/views/login.php	(revision 1164)
+++ www/views/login.php	(working copy)
@@ -6,7 +6,7 @@
 <?= format_link(url_register(), "inregistra aici") ?>;
 daca ti-ai uitat parola, o poti <a href="<?= html_escape(url_resetpass()) ?>">reseta aici</a>.</p>
 
-<?php include(IA_ROOT_DIR.'www/views/form_login.php'); ?>
+<?php echo <ia:login_form />; ?>
 
 <?php wiki_include('template/login'); ?>
 
Index: www/views/projector.php
===================================================================
--- www/views/projector.php	(revision 1164)
+++ www/views/projector.php	(working copy)
@@ -1,6 +1,5 @@
 <?php
 
-require_once(IA_ROOT_DIR.'www/views/sitewide.php');
 require_once(IA_ROOT_DIR.'www/format/table.php');
 require_once(IA_ROOT_DIR.'www/format/format.php');
 require_once(IA_ROOT_DIR.'www/format/list.php');
